Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Interface ProbabilityDistributionS

All Known Subinterfaces:
  BernoulliDist, BernoulliDistC, BernoulliDistS, BinomialDist, BinomialDistC, BinomialDistS, BooleanDistribution, BooleanDistributionC, BooleanDistributionS, DoubleDistribution, DoubleDistributionC, DoubleDistributionS, ExponentialDist, ExponentialDistC, ExponentialDistS, GammaDist, GammaDistC, GammaDistS, IntegerDistribution, IntegerDistributionC, IntegerDistributionS, LogNormalDist, LogNormalDistC, LogNormalDistS, Normal, NormalC, NormalDist, NormalDistC, NormalDistS, NormalS, PoissonDist, PoissonDistC, PoissonDistS, RandomBitDist, RandomBitDistC, RandomBitDistS, UniformDoubleDist, UniformDoubleDistC, UniformDoubleDistS, UniformIntegerDist, UniformIntegerDistC, UniformIntegerDistS, UniformUnsignedDist, UniformUnsignedDistC, UniformUnsignedDistS, UnsignedDistribution, UnsignedDistributionC, UnsignedDistributionS

public interface ProbabilityDistributionS
extends SwarmObjectS, InternalStateS

Probability Distribution. A process for generating a sequence of random numbers matching the frequencies defined by a specific distribution function. The process is driven by input from a supplied uniform random generator.

Method Summary
`java.lang.Object` | `reset()` The reset method resets the currentCount and other state data.
`java.lang.Object` | `setGenerator(SimpleRandomGenerator simpleGenerator)` Use this message if the generator to be attached is a Simple one:
`java.lang.Object` | `setGenerator$setVirtualGenerator(SplitRandomGenerator splitGenerator, int vGen)` Use this message if the generator to be attached is a Split one:

Method Detail

### setGenerator

    public java.lang.Object setGenerator(SimpleRandomGenerator simpleGenerator)

  Use this message if the generator to be attached is a Simple one:

### setGenerator$setVirtualGenerator

    public java.lang.Object setGenerator$setVirtualGenerator(SplitRandomGenerator splitGenerator,
                                                             int vGen)

  Use this message if the generator to be attached is a Split one:

### reset

    public java.lang.Object reset()

  The reset method resets the currentCount and other state data.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD